---
id: 68ef53ef276acfa40c83cb12
title: Step 10
challengeType: 20
dashedName: step-10
---

# --description--

Add a return type hint of `bool` to the `is_applicable` method so that it clearly indicates it returns a `bool`.

# --hints--

Your `is_applicable` method should have a return type hint of `-> bool`.

```js
({
  test: () => runPython(`
  assert _Node(_code).find_class("DiscountStrategy").find_function("is_applicable").has_returns("bool")
  `)
})
```

# --seed--

## --seed-contents--

```py
from abc import ABC, abstractmethod

class Product:
    def __init__(self, name: str, price: float) -> None:
        self.name = name
        self.price = price

    def __str__(self) -> str:
        return f'{self.name} - ${self.price}'

--fcc-editable-region--
class DiscountStrategy(ABC):
    @abstractmethod
    def is_applicable(self, product: Product, user_tier: str):
        pass
--fcc-editable-region--
product = Product('Wireless Mouse', 50.0)
print(product)
```
